Bug 1043743 - CVE-2013-6425 pixman: integer underflow when handling trapezoids [fedora-all]
Summary: CVE-2013-6425 pixman: integer underflow when handling trapezoids [fedora-all]
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pixman
Version: 19
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=ignatenkobrain
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2013-6425
TreeView+ depends on / blocked
 
Reported: 2013-12-17 04:20 UTC by Huzaifa S. Sidhpurwala
Modified: 2014-08-30 03:55 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-08-07 15:29:32 UTC


Attachments (Terms of Use)

Description Huzaifa S. Sidhpurwala 2013-12-17 04:20:53 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]

Comment 1 Huzaifa S. Sidhpurwala 2013-12-17 04:21:04 UTC
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1037975,1043743

Comment 2 Igor Gnatenko 2014-07-12 07:25:24 UTC
We should apply this patch:
http://cgit.freedesktop.org/pixman/commit/?id=5e14da97f16e421d084a9e735be21b1025150f0c

or update to 0.32.0+

We also don't have %check section, but upstream has tests. I think we should add.
If we will have %check we want to apply also:
http://cgit.freedesktop.org/pixman/commit/?id=2f876cf86718d3dd9b3b04ae9552530edafe58a1

Comment 3 Fedora Update System 2014-07-30 21:14:13 UTC
pixman-0.30.0-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pixman-0.30.0-4.fc19

Comment 4 Fedora Update System 2014-07-30 21:15:14 UTC
pixman-0.30.0-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pixman-0.30.0-4.fc20

Comment 5 Jared Smith 2014-07-30 21:21:22 UTC
I've applied the patches, turned on the checks (they all pass), build in Koji, and submitted as updates (into the updates-testing repo).  Please let me know if you have any comments or concerns.

Comment 6 Igor Gnatenko 2014-07-31 04:02:43 UTC
(In reply to Jared Smith from comment #5)
> I've applied the patches, turned on the checks (they all pass), build in
> Koji, and submitted as updates (into the updates-testing repo).  Please let
> me know if you have any comments or concerns.
Can you turn on checks for f21 and master ?

Comment 7 Fedora Update System 2014-08-01 06:01:09 UTC
Package pixman-0.30.0-4.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pixman-0.30.0-4.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9037/pixman-0.30.0-4.fc19
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-08-07 15:29:32 UTC
pixman-0.30.0-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-08-12 14:19:58 UTC
pixman-0.30.0-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pixman-0.30.0-5.fc20

Comment 10 Fedora Update System 2014-08-12 14:20:07 UTC
pixman-0.30.0-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pixman-0.30.0-5.fc19

Comment 11 Fedora Update System 2014-08-16 00:25:54 UTC
pixman-0.30.0-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-08-30 03:55:35 UTC
pixman-0.30.0-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.